package com.zjrs.appcomm.template.excel.exception;

/**
 * 异常Sheet异常
 * @author froms
 *
 */
public class IllegalSheetException extends IllegalArgumentException {

	private static final long serialVersionUID = 3580570791107151964L;
	
	/** 异常的Sheet */
	private String illegalName;
	/**
	 * 获取异常的Sheet
	 * @return 异常的Sheet
	 */
	public String getIllegalName() { return illegalName; }

	/**
	 * 异常Sheet异常
	 * @param illegalHeaders 异常的Sheet
	 */
	public IllegalSheetException(String illegalName) {
		super(illegalName);
		this.illegalName = illegalName;
	}
	
}
